> ## Documentation Index
> Fetch the complete documentation index at: https://wato.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Channel

> Api to create new channels.

| **field name** | **data type** | **comment** |
| --- | --- | --- |
| name | string |  |
| description | string |  |
| image | string | image in base64 format. Dont remove the mimetype information |



## OpenAPI

````yaml post /api/v1/venom/create-channel
openapi: 3.0.0
info:
  title: wato-external
  description: >-
    [Wato.ai](https://wato.ai) is a zero-cost messaging platform focused on
    WhatsApp groups and community retargeting. It allows for the management and
    growth of WhatsApp channels, aiming to save companies their WhatsApp
    marketing costs by ensuring 100% message delivery at no cost. The platform
    highlights its effectiveness in delivering messages compared to other
    channels like SMS, emails, and mobile app notifications, offering insights
    and analytics to elevate decision-making processes and strategies for growth
  version: 1.0.0
servers:
  - url: http://{{base_url}}
security: []
paths:
  /api/v1/venom/create-channel:
    post:
      tags:
        - default
      summary: create-channel
      description: >-
        Api to create new channels.


        | **field name** | **data type** | **comment** |

        | --- | --- | --- |

        | name | string |  |

        | description | string |  |

        | image | string | image in base64 format. Dont remove the mimetype
        information |
      parameters:
        - name: Authorization
          in: header
          schema:
            type: string
          example: Bearer {{token}}
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: as-5.0
                description: as-5.0
                image: base-64 image
      responses:
        '200':
          description: OK
          headers:
            Server:
              schema:
                type: number
                example: nginx/1.22.1
            Date:
              schema:
                type: string
                example: Mon, 04 Mar 2024 10:11:36 GMT
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '278'
            Connection:
              schema:
                type: string
                example: keep-alive
            X-Powered-By:
              schema:
                type: string
                example: Express
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            ETag:
              schema:
                type: string
                example: W/"116-X8xSUQ9vVa4l2VfCVRsmCWbiuGk"
          content:
            application/json:
              schema:
                type: object
              example:
                error: false
                status: success
                code: 200
                data:
                  resp:
                    title: as-5.0
                    nid:
                      server: newsletter
                      user: '120363253427223495'
                      _serialized: 120363253427223495@newsletter
                    inviteLink: https://whatsapp.com/channel/0029VaNhf1EElagzZu4tme45
                    createdAtTs: 1709547095

````